%define upstream_name    Regexp-DefaultFlags
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Set default flags on regular expressions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch

%description
When this module is 'use''d, it causes regexes in the current namespace to
act as if the '/xms' flags had been applied to them.

See the perlre manpage for more details and caveats on these flags.

If an argument is passed to the 'use' statement, the module uses the flags
specified in that argument instead of '/xms'. The replacement flags can be
specified in any of the following ways:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.10.0-9pclos2017
- rebuild against updates

